package com.zm.order.tool.server.query;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.model.BasePageQuery;

import java.util.Date;
import java.util.List;

/**
 * 商品评价列表查询
 *
 * @author nianchang
 * @ClassName OrderCommentQuery
 * @date 2021/03/30 4:45 下午
 */
public class ItemCommentQuery extends BasePageQuery {

    /**
     * 商品评价id
     */
    private Long itemCommentId;

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户id
     */
    private Long goodsId;

    /**
     * 用户id
     */
    private String itemId;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 评论开始时间
     */
    private Date commentAtStart;

    /**
     * 评论结束时间
     */
    private Date commentAtEnd;

    /**
     * 假分页大小
     */
    private Integer fakePageSize;

    /**
     * 商家是否回复 0：未回复 1：已回复
     */
    private String sellerReply;

    /**
     * 是否存在图片 0：不存在 1：存在
     */
    private String existImage;

    /**
     * 是否隐藏评论
     * 0：不隐藏
     * 1：隐藏
     */
    private Integer hide;

    /**
     * 数量
     */
    private Integer size;

    /**
     * 末尾id
     */
    private Long lastId;

    /**
     * 门店ID列表
     */
    private List<Long> storeIdList;

    /**
     * 是否匿名 0:否 1:是
     */
    private Integer anonymous;

    /**
     * 商家回复开始时间
     */
    private Date replyAtStart;

    /**
     * 商家回复结束时间
     */
    private Date replyAtEnd;

    /**
     * 评价分数开始
     */
    private Integer commentScoreStart;

    /**
     * 评价分数结束
     */
    private Integer commentScoreEnd;

    /**
     * 评价分数列表
     */
    private List<Integer> commentScoreList;

    /**
     * 查询所有删除状态标记
     */
    private Integer allIsDeletedFlag;

    public Integer getAllIsDeletedFlag() {
        return allIsDeletedFlag;
    }

    public void setAllIsDeletedFlag(Integer allIsDeletedFlag) {
        this.allIsDeletedFlag = allIsDeletedFlag;
    }

    public List<Integer> getCommentScoreList() {
        return commentScoreList;
    }

    public void setCommentScoreList(List<Integer> commentScoreList) {
        this.commentScoreList = commentScoreList;
    }

    public Integer getCommentScoreStart() {
        return commentScoreStart;
    }

    public void setCommentScoreStart(Integer commentScoreStart) {
        this.commentScoreStart = commentScoreStart;
    }

    public Integer getCommentScoreEnd() {
        return commentScoreEnd;
    }

    public void setCommentScoreEnd(Integer commentScoreEnd) {
        this.commentScoreEnd = commentScoreEnd;
    }

    private List<Long> goodsIdList;

    private List<String> itemIdList;

    private List<String> orderNoList;

    public List<Long> getGoodsIdList() {
        return goodsIdList;
    }

    public void setGoodsIdList(List<Long> goodsIdList) {
        this.goodsIdList = goodsIdList;
    }

    public List<String> getItemIdList() {
        return itemIdList;
    }

    public void setItemIdList(List<String> itemIdList) {
        this.itemIdList = itemIdList;
    }

    public List<String> getOrderNoList() {
        return orderNoList;
    }

    public void setOrderNoList(List<String> orderNoList) {
        this.orderNoList = orderNoList;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Date getCommentAtStart() {
        return commentAtStart;
    }

    public void setCommentAtStart(Date commentAtStart) {
        this.commentAtStart = commentAtStart;
    }

    public Date getCommentAtEnd() {
        return commentAtEnd;
    }

    public void setCommentAtEnd(Date commentAtEnd) {
        this.commentAtEnd = commentAtEnd;
    }

    public Integer getFakePageSize() {
        return fakePageSize;
    }

    public void setFakePageSize(Integer fakePageSize) {
        this.fakePageSize = fakePageSize;
    }

    public String getSellerReply() {
        return sellerReply;
    }

    public void setSellerReply(String sellerReply) {
        this.sellerReply = sellerReply;
    }

    public String getExistImage() {
        return existImage;
    }

    public void setExistImage(String existImage) {
        this.existImage = existImage;
    }

    public Integer getHide() {
        return hide;
    }

    public void setHide(Integer hide) {
        this.hide = hide;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Long getLastId() {
        return lastId;
    }

    public void setLastId(Long lastId) {
        this.lastId = lastId;
    }

    public List<Long> getStoreIdList() {
        return storeIdList;
    }

    public void setStoreIdList(List<Long> storeIdList) {
        this.storeIdList = storeIdList;
    }

    public Integer getAnonymous() {
        return anonymous;
    }

    public void setAnonymous(Integer anonymous) {
        this.anonymous = anonymous;
    }

    public Date getReplyAtStart() {
        return replyAtStart;
    }

    public void setReplyAtStart(Date replyAtStart) {
        this.replyAtStart = replyAtStart;
    }

    public Date getReplyAtEnd() {
        return replyAtEnd;
    }

    public void setReplyAtEnd(Date replyAtEnd) {
        this.replyAtEnd = replyAtEnd;
    }

    public Long getItemCommentId() {
        return itemCommentId;
    }

    public void setItemCommentId(Long itemCommentId) {
        this.itemCommentId = itemCommentId;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
